#ifndef CAL_H
#define CAL_H
#include "mainwindow.h"
#include <QDebug>
#include <QKeyEvent>
#include <QMessageBox>
#include <QMouseEvent>
#include <cmath>
#include <iostream>
#include <map>
#include <stack>

QString inToPost(QString infix);
double compute(QString s);
#endif // CAL_H
